import basikz.ShortCalculator;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

public class ShortCalculatorTest {
    ShortCalculator sc = new ShortCalculator();

    @Before
    public void setUp() {
        sc = new ShortCalculator();
    }

    @Test
    public void addTest() {
        short expected = 5;
        short actual = sc.add((short) 2, (short) 3);
        assertEquals(expected, actual);
    }

    @Test
    public void divideTest() {
        short expected = 2;
        short actual = sc.divide((short) 6, (short) 3);
        assertEquals(expected, actual);
    }

    @Test
    public void subtractTest() {
        short expected = 5;
        short actual = sc.subtract((short) 10, (short) 5);
        assertEquals(expected, actual);
    }

    @Test
    public void multiplyTest() {
        short expected = 6;
        short actual = sc.multiply((short) 2, (short) 3);
        assertEquals(expected, actual);
    }

    @Test
    public void modTest() {
        short expected = 2;
        short actual = sc.mod((short) 2, (short) 3);
        assertEquals(expected, actual);
    }
}
